/*
 * [PrepGeorgia.java]
 *
 * Summary: One shot program to process tax data for Georgia. Generates code for AmericanTax.java table.
 *
 * Copyright: (c) 1999-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2008-05-22
 *  1.1 2010-12-10 update to produce CSV file without state tax included.
 */
package com.mindprod.americantax;

import java.io.IOException;

/**
 * One shot program to process tax data for Georgia. Generates code for AmericanTax.java table.
 * <p/>
 * Generates code for AmericanTax.java table.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.1 2010-12-10 update to produce CSV file without state tax included.
 * @since 2008-05-22
 */
public final class PrepGeorgia extends PrepStateBase
    {
    /**
     * Constructor
     */
    private PrepGeorgia()
        {
        super( "GA",
                "georgia",
                4.0 /* stateTax sales tax */,
                true /* counties, needs georgiacounties.csv */,
                false /* cities, no geogiacities.csv */,
                true /* files include state rate */,
                false /* convert to book case */,
                200 /* est counties */ );
        }

    /*
     * home: https://etax.dor.ga.gov/BusTax_SalesTax.aspx
     * https://etax.dor.ga.gov/salestax/salestaxrates/LGS_2013_Apr_Rate_Chart.pdf
     * rates change frequentlyi
     * <p/>
     * OCR, export to excel, then collect 3 cols, strip junk.
     * #Georgia counties, includes state tax
     * Appling,         8
     * Atkinson,        7
     * Bacon,           7
     * and save as E:\com\mindprod\americantax\georgiacounties.csv
     */
    public static void main( String[] args ) throws IOException
        {
        new PrepGeorgia().prepare();
        }
    }
