/*
 * [PrepIdaho.java]
 *
 * Summary: One shot program to process tax data for Idaho. Generates code for AmericanTax.java table.
 *
 * Copyright: (c) 2010-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2010-12-19 initial version
 */
package com.mindprod.americantax;

import java.io.IOException;
/*
 * home: http://tax.idaho.gov/s-results-quest.cfm?faq=146
 * I put his together completely manually.  I searched varies city sites.
 * I found zip codes and used them to find sales taxes.
 * I used google to find the county of each city.
 * idahocities.csv looks like this:
 * # county        city               rate not including state tax , 2013-04-04
 * Blaine,        Hailey,             0
 * Blaine,        Ketchum,            1
 */

/**
 * One shot program to process tax data for Idaho. Generates code for AmericanTax.java table.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2010-12-19
 * @since 2010-12-19
 */
public final class PrepIdaho extends PrepStateBase
    {
    /**
     * Constructor
     */
    private PrepIdaho()
        {
        super( "ID",
                "idaho",
                6.0 /* state tax since 2006 */,
                false /* no idahocounties.csv */,
                true /* idahocities.csv exists */,
                false /* files do not include state rate */,
                false /* convert to book case */,
                20 /* est cities */ );
        }

    public static void main( String[] args ) throws IOException
        {
        new PrepIdaho().prepare();
        }
    }
