/*
 * [PrepNevada.java]
 *
 * Summary: One shot program to process tax data for Nevada. Generates code for AmericanTax.java table.
 *
 * Copyright: (c) 1999-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2008-12-14 initial version
 */
package com.mindprod.americantax;

import java.io.IOException;

/**
 * One shot program to process tax data for Nevada. Generates code for AmericanTax.java table.
 * <p/>
 * Generates code for AmericanTax.java table.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2008-12-14 initial version
 * @since 2008-12-14
 */
public final class PrepNevada extends PrepStateBase
    {
    /*
     * home: http://tax.state.nv.us/
     * county map: http://tax.state.nv.us/documents/Sales_Tax_Map.pdf
     * http://tax.state.nv.us/documents/2009_Legislative_Changes.pdf contain list of counties and rates.
     *  Extract just a few lines.
     * # Nevada counties
     * # county     rate
     * Carson City, 7.475
     * Churchill,   7.600
     * Clark,       8.100
     * and save as E:\com\mindprod\americantax\nevadacounties.csv
     */

    /**
     * Constructor
     */
    private PrepNevada()
        {
        super( "NV",
                "nevada",
                5.750,
                true /* counties */,
                false /* cities */,
                true /* files include state rate */,
                false /* convert to book case */,
                2000 );
        }

    public static void main( String[] args ) throws IOException
        {
        new PrepNevada().prepare();
        }
    }
