/*
 * [PrepSouthCarolina.java]
 *
 * Summary: One shot program to process tax data for South Carolina. Generates code for AmericanTax.java table.
 *
 * Copyright: (c) 2010-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2010-12-13 initial version
 */
package com.mindprod.americantax;

import java.io.IOException;

/**
 * One shot program to process tax data for South Carolina. Generates code for AmericanTax.java table.
 * <p/>
 * Generates code for AmericanTax.java table.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2010-12-13 initial version
 * @since 2010-12-13
 */
public final class PrepSouthCarolina extends PrepStateBase
    {
    /*
     * home: http://www.sctax.org/Tax+Information/Sales+and+Use+Tax/default.htm
     * download http://www.sctax.org/NR/rdonlyres/20A9E1EF-B982-4F3D-B94D-972964B400FC/0/st431May.pdf southcarolinaraw
     * .pdf
     * <p/>
     * Copy paste the html file then tidy it to this format, converting  % to \n
     * Plus other minor tidies.
     * Just counties. No city overrides.
     * # South Carolina Counties
     * # county      rate including 5% state tax
     * Abbeville,     6
     * Aiken,         6
     * Allendale,     7
     * <p/>
     * and save as E:\com\mindprod\americantax\southcarolinacounties.csv
     */

    /**
     * Constructor
     */
    private PrepSouthCarolina()
        {
        super( "SC",
                "southcarolina",
                5.0,
                true /* counties */,
                false /* cities */,
                true /* files include state rate */,
                false /* convert to book case */,
                75 );
        }

    public static void main( String[] args ) throws IOException
        {
        new PrepSouthCarolina().prepare();
        }
    }
