/*
 * [PrepVermont.java]
 *
 * Summary: One shot program to process tax data for Vermont. Generates data for AmericanTax.java table.
 *
 * Copyright: (c) 2010-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2010-12-19 initial
 */
package com.mindprod.americantax;

import java.io.IOException;

/**
 * One shot program to process tax data for Vermont. Generates data for AmericanTax.java table.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2010-12-19 initial
 * @since 2010-12-19
 */
public final class PrepVermont extends PrepStateBase
    {
    /**
     *u Vermont sales tax
     * home http://www.state.vt.us/tax/businesslocaloption.shtml
     * manually prepare a file like this:
     * # county    city,           rate
     * Addison,    Middlebury,       1
     * Bennington, Manchester,       1
     * Chittenden, Burlington,       1
     * Chittenden, South Burlington, 1
     * Chittenden, Williston,        1
     * Rutland,    Rutland Town,     1
     * Windham,    Dover,            1
     * Windham,    Stratton,         1
     * Get counties from google.
     */
    /**
     * Constructor
     */
    private PrepVermont()
        {
        super( "VT",
                "Vermont",
                6.0,
                false /* counties */,
                true /* cities */,
                false /* files include state rate */,
                false /* convert to book case */,
                2000 );
        }

    public static void main( String[] args ) throws IOException
        {
        new PrepVermont().prepare();
        }
    }
